using DevExpress.Xpo;
using System.ComponentModel;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using System.Drawing;

namespace Nuvolar.Module.CSharp
{
    [DefaultClassOptions, NavigationItem(false), CreatableItem(false)]
    public class GanttResources : XPLiteObject
    { 
        public GanttResources(Session session)
            : base(session)
        {
        }
        public override void AfterConstruction()
        {
            base.AfterConstruction();
        }

        private int _IdSort;
        private int _ParentId;
        private string _Description;
        private int _Color;
        private System.Drawing.Image _Image;
        private string _CustomField1;

        
        [Key(AutoGenerate = true), Browsable(false)]
        public int Id { get; set; }
        public int IdSort
        {
            get { return _IdSort; }
            set { SetPropertyValue("IdSort", ref _IdSort, value); }
        }
        public int ParentId
        {
            get { return _ParentId; }
            set { SetPropertyValue("ParentId", ref _ParentId, value); }
        }
        [Size(-1)]
        public string Description
        {
            get { return _Description; }
            set { SetPropertyValue("Description", ref _Description, value); }
        }
        public int Color
        {
            get { return _Color; }
            set { SetPropertyValue("Color", ref _Color, value); }
        }
        [ValueConverter(typeof(DevExpress.Xpo.Metadata.ImageValueConverter))]
        public Image Image
        {
            get { return _Image; }
            set { SetPropertyValue("Image", ref _Image, value); }
        }
        [Size(-1)]
        public string CustomField1
        {
            get { return _CustomField1; }
            set { SetPropertyValue("CustomField1", ref _CustomField1, value); }
        }


    }
}